Package mvpa :: Package atlases :: Module base :: Class ReferencesAtlas

[hide private]
[frames] | no frames]

# Class ReferencesAtlas

source code

Atlas which provides references to the other atlases.

Example: the atlas which has references to the closest points (closest Gray, etc) in another atlas.

Instance Methods | [hide private]

__init__(self, distance=0, *args, **kwargs) Initialize ReferencesAtlas | source code

_getNLevelsVirtual(self) | source code

setReferenceLevel(self, level) Set the level which will be queried | source code

labelVoxel(self, c, levels=None) | source code

levelsListing(self) | source code

_getLevelsDict_virtual(self) | source code

setDistance(self, distance) Set desired maximal distance for the reference | source code

Inherited from `PyMVPAAtlas` (private): `_getNLevels`, `_loadData`, `_loadImages`

Inherited from `XMLBasedAtlas`: `__getattr__`, `__getitem__`, `labelPoint`, `loadAtlas`, `setCoordT`, `version`

Inherited from `XMLBasedAtlas` (private): `_checkRange`, `_getLevels`, `_getLevelsDict`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods | [hide private]

Inherited from `PyMVPAAtlas` (private): `_checkVersion` Inherited from `XMLBasedAtlas` (private): `_children_tags`, `_compare_lists`

Class Variables | [hide private]

| __doc__ = `enhancedDocString('ReferencesAtlas', locals(), PyMVP`...``
| distance = `property(fget= lambda self: self.__distance, fset= `...``
Inherited from `PyMVPAAtlas`: `Nlevels`, `source`, `space`, `spaceFlavor` Inherited from `XMLBasedAtlas`: `coordT`, `extent`, `levels_dict`, `origin`, `spaceT`, `voxdim`

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __init__(self, distance=0, *args, **kwargs)
(Constructor)

source code

Initialize ReferencesAtlas

Parameters:
  - `filename` - Filename for the xml definition of the atlas
  - `resolution` - Some atlases link to multiple images at different resolutions. if None -- best resolution is selected using 0th dimension resolution
  - `image_file` - If None, overrides filename for the used imagefile, so it could load a custom (re-registered) atlas maps
  - `query_voxel` - By default [x,y,z] assumes coordinates in space, but if query_voxel is True, they are assumed to be voxel coordinates
  - `coordT` - Optional transformation to apply first
  - `levels` - What levels by default to operate on
Overrides: object.__init__

### _getNLevelsVirtual(self)

source code

Overrides: PyMVPAAtlas._getNLevelsVirtual

### levelsListing(self)

source code

Overrides: XMLBasedAtlas.levelsListing

### _getLevelsDict_virtual(self)

source code

Overrides: XMLBasedAtlas._getLevelsDict_virtual

Class Variable Details | [hide private]

### __doc__

Value:

      enhancedDocString('ReferencesAtlas', locals(), PyMVPAAtlas)

### distance

Value:

      property(fget= lambda self: self.__distance, fset= setDistance)